/*
 Theme Name:   Lanibra
 Theme URI:    https://generatepress.com
 Description:  Lanibra
 Author:       Frontendbyte
 Author URI:   https://frontendbyte.com
 Template:     generatepress
 Version:      0.8
*/

/*
1) Main vars
2) Layout
3) Additional Photo Image 
4) Navigation
5) Buttons
6) Desktop: responsive 
7) Mobile: responsive
*/

/* 1) Main vars */
:root {
  --light-main-bg: #fafbfc;
  --red-main: #f50013;
  --red-main-hover: #e2003c;
  --blue-main: #0027f5;
  --blue-main-hover: #0027f5;

}

body {
  -webkit-font-smoothing: antialiased;
}

body,
html,
#page {
  /* height: 100%; */
  min-height: 100%;
}

::-webkit-input-placeholder {
  font-size: 20px !important;
}

::-webkit-input-placeholder {
  font-size: 20px !important;
}
::-moz-placeholder {
  font-size: 20px !important;
}
:-ms-input-placeholder {
  font-size: 20px !important;
}
:-moz-placeholder {
  font-size: 20px !important;
}
/*
menu-item wpml-ls-slot-5 
wpml-ls-item-it wpml-ls-current-language wpml-ls-menu-item wpml-ls-first-item menu-item-type-wpml_ls_menu_item menu-item-object-wpml_ls_menu_item menu-item-wpml-ls-5-it
*/

.smaller-margin {
  margin-top: 20px !important;
  margin-bottom: 20px !important;
}

#post-197 .inside-article,
#post-636 .inside-article,
#post-375 .inside-article,
#post-674 .inside-article {
  padding: 0;
}

/* RS Slider*/
.rsDefault .rsThumb.rsNavSelected {
  background: var(--red-main) !important;
}

.rsContentSlider h3 {
  font-family: "Montserrat", sans-serif;
  color: var(--red-main);
}

.rsDefault .rsGCaption {
  font-size: inherit !important;
  border-radius: 2px;
  backdrop-filter: blur(4px);
}

.rsFullscreen.rsDefault .rsGCaption {
  display: none !important;
}


/*

*/

.rsFullscreen .rsNav.rsThumbs.rsThumbsHor{display: none}


.rsFullscreen:after{
	content: "";
	display: block;
	height: 100%;
	width: 100%;
	background: #151515;
	position: fixed;
	z-index: -1
}



@media screen and (max-width: 767px) {
  .royalSlider,
  .rsOverflow {
    /*height: 300px !important;*/
  }

  .rsDefault {
    margin-bottom: 280px;
  }

  .rsDefault .rsArrow {
    height: calc(100% - 64px) !important;
  }

  .rsDefault .rsGCaption {
    bottom: -280px !important;
    height: 280px;
    left: 0 !important;
    width: 100% !important;
    background: rgba(0, 0, 0, 1) !important;
  }

  .rsDefault .rsGCaption p {
    font-size: 90%;
    line-height: 1.5rem;
  }

  .rsContentSlider .rsSlideRoot img{
    max-height: 100% !important;
    width: auto !important;
    margin: 0 auto !important;
  }


    .royalSlider.rsFullscreen .rsSlideRoot img{
    width: -webkit-fill-available !important;
    height: auto !important;
    margin: 0 auto !important;
  }

}


@media screen and (max-width: 767px) and (orientation:landscape) {
    .royalSlider.rsFullscreen .rsOverflow{
    min-height: 100% !important;
  }

  .royalSlider.rsFullscreen  .rsSlideRoot img{
    height: -webkit-fill-available !important;
    width: auto !important
  }

   .royalSlider.rsFullscreen  .rsSlideRoot {
    height: 100%;
  }


}



img.wp-image-499, img.wp-image-495{
	max-width: 50% !important;
}

/* RS Slider desktop only*/
@media screen and (min-width: 768px) {
  img.rsImg.rsMainSlideImage.lazyloaded {
    /* max-width: fit-content; */
    width: auto !important;
    margin: 0 auto !important;
  }

  .rsDefault .rsArrow {
    height: calc(100% - 64px) !important;
  }

  .desktop-margin-left-1{
  	margin-left: 64px;
  }

    .royalSlider.rsFullscreen, .royalSlider.rsFullscreen .rsOverflow{
    min-height: 100% !important;
  }

  .rsDefault .rsGCaption {
    position: absolute;
    float: none;
    bottom: 64px !important;
    height: auto !important;
    left: inherit !important;
    right: 70px;
    padding: 2px 8px;
    min-width: 690px;
    background: rgba(0, 0, 0, 0.84) !important;
    border-radius: 2px;
  }

  /* Mozilla max width*/
  .rsSlideRoot, .rsImg.rsMainSlideImage {
      height: 100% !important;
  }
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .royalSlider,
  .rsOverflow {
    /*height: 400px !important;*/
  }
}

@media screen and (min-width: 1024px) and (max-width: 1920px) {
  .royalSlider,
  .rsOverflow {
    max-height: 900px !important;
  }
}

@media screen and (-webkit-min-device-pixel-ratio: 2) and (min-width: 1920px) {
  .royalSlider,
  .rsOverflow {
    max-height: 1070px !important;
  }
}

/* 2) Layout */
.no-sidebar:not(.archive):not(.blog) .inside-article > *,
.no-sidebar:not(.archive):not(.blog) #comments,
.no-sidebar:not(.archive):not(.blog) .paging-navigation {
  margin-left: 0;
  margin-right: 0;
}

.no-sidebar:not(.archive):not(.blog) .inside-article > *,
.no-sidebar:not(.archive):not(.blog) #comments,
.no-sidebar:not(.archive):not(.blog) .paging-navigation {
  max-width: 100% !important;
}

h1.entry-title {
  margin-bottom: 94px;
}

h1.entry-title:after {
  transition: all 0.25s ease-in-out;
  content: "";
  display: block;
  border: none;
  width: 124px;
  height: 2px;
  left: 3px;
  top: 24px;
  background: var(--blue-main);
  position: relative;
}

.entry-content {
  position: relative;
}

/* 3) Additional Photo Image */

figure.drop-shadow {
  position: relative;
}

figure.drop-shadow img {
  position: relative;
  z-index: 4;
}

figure.drop-shadow:after {
  content: "";
  display: block;
  position: absolute;
  height: 80%;
  right: -20%;
  top: 6%;
  width: 80%;
  background: var(--light-main-bg);
  z-index: 3;
}

/* 4) Navigation */
#site-navigation {
  background: transparent;
}

.main-navigation .main-nav ul li a,
.main-navigation .menu-bar-item > a {
  transition: all 0.25s ease-in-out;
  line-height: 26px;
  padding: 0px;
  margin-bottom: 16px;
  height: 26px;
  opacity: 0.68;
}

.main-navigation .main-nav ul li a:hover,
.main-navigation .menu-bar-item > a:hover {
  opacity: 1;
}

.main-navigation .main-nav ul li.current-menu-item a {
  transition: all 0.25s ease-in-out;
  opacity: 1;
}

.main-navigation .main-nav ul li a,
.slideout-navigation.main-navigation .main-nav ul li a {
  letter-spacing: 0.025rem;
  padding-left: 0px;
  padding-right: 0px;
}

.main-navigation .main-nav ul li > a {
  border-bottom: 2px solid transparent;
  display: inline-block;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
  border-color: var(--blue-main);
}

.wpml-ls-item {
  flex: 1 0 25%;
}

/* 5) Buttons */
.button {
  transition: all 0.25s ease-in-out;
  position: relative;
  height: 48px;
  border: 0;
  line-height: 48px;
  padding: 0px 90px 0 20px;
}



.button:hover {
  transition: all 0.25s ease-in-out;
  padding-right: 100px;
}

.button:before {
  transition: all 0.25s ease-in-out;
  content: "";
  display: block;
  border: none;
  width: 48px;
  height: 48px;
  top: 0px;
  right: 6px;
  background: url("../lanibra/assets/img/arrow-right.svg")
    no-repeat center;
  position: absolute;
}

.button:after {
  transition: all 0.25s ease-in-out;
  content: "";
  display: block;
  width: 100%;
  height: 48px;
  top: 6px;
  left: 6px;
  position: absolute;
  border: 1px solid var(--red-main);
}

.button:hover:after {
  top: 10px;
  left: 10px;
  transition: all 0.25s ease-in-out;
  border-color: var(--red-main-hover);
}

.button.blue{
  background: var(--blue-main);
}

.button.blue:hover{
  background: var(--blue-main-hover);
}


.button.blue:after{
   border: 1px solid var(--blue-main);
}

.wpml-ls-current-language a span {
  color: var(--red-main) !important;
  font-weight: bold;
}

/* Desktop */
@media screen and (min-width: 768px) {
  
.blocks-gallery-item{
  max-width:20%;
}

body, html{
  position: relative;
}

  body {
    padding: 0;
    margin-left: 296px;
  }

  .logo-margin {
    margin: 70px 70px 0 70px;
  }

  .grid-container {
    margin-left: 0px;
    margin-right: 0px;
  }

  main,
  main article,
  main article .inside-article,
  .entry-content {
    height: 100%;
  }
	
	.home	.entry-content{
		margin-top:0px;
	}

  /* 3) Additional Photo Image */
  .drag-up-photo-1 {
    top: -160px;
    position: relative;
  }

  .drag-up-photo-2 {
    top: -244px;
    position: relative;
  }

  /* Navigation Desktop */
  .site-header {
    position: fixed;
    left: 0;
    top: 0;
    background: var(--light-main-bg);
    width: 296px;
    z-index: 300;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    height: 100%;
    /*min-height: 1024px;*/
    overflow: auto;
    overflow-x: hidden;
    -webkit-backface-visibility: hidden;
    -webkit-overflow-scrolling: touch;
    transition: 0.2s ease;
  }

  .wpml-ls-item {
    margin-bottom: 40px;
  }

  .admin-bar .site-header {
    top: 32px;
  }

  .main-navigation li {
    max-height: auto;
  }

  .site-header .main-navigation li:not(.wpml-ls-item) {
    flex: 1 0 100%;
  }

  /* Home page */
  .home .entry-title {
    position: absolute;
    z-index: 0;
  }

  .home .inside-article {
    padding-top: 0px !important;
  }

  .home h1 {
    left: 0px;
    position: absolute;
    padding-left: 70px;
    bottom:0px;
    height: 66%;
    padding-top: 56px;
    display: block;
    margin-bottom: 0;
    width: 100%;
    background: linear-gradient(
      rgba(0, 0, 0, 0) 0%,
      rgba(10, 18, 56, 0.76) 73.89%,
      rgba(8, 15, 47, 0.9) 100%
    );
    font-weight: 500;
    font-size: 72px;
    letter-spacing: -0.025rem;
    line-height: 76px;
    text-transform: uppercase;
    color: #fff;
  }

  .home-full-scree-hero {
    position: relative;
    margin: 0 -70px 0px -70px;
    height: 468px;
    max-height: 620px;
    width: calc(100% + 140px);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom;
  }

  .port-of-koper{
     background-image: url("/wp-content/uploads/2021/04/lanibra-port-of-koper.jpg");
  }

  .ferrari{
     background-image: url("/wp-content/uploads/2021/04/lanibra-rent-a-ferrari.jpg");
  }


  .home-full-scree-hero .button {
    position: absolute;
    bottom: 46px;
    left: 70px;
  }

  #happyforms-135 {
    margin: 0;
  }
  .fa-production-logos .blocks-gallery-grid .blocks-gallery-image img,
  .fa-production-logos .blocks-gallery-grid .blocks-gallery-item img,
  .fa-production-logos .wp-block-gallery .blocks-gallery-image img,
  .fa-production-logos .wp-block-gallery .blocks-gallery-item img {
    max-width: 60%;
  }

  .logo-margin {
    margin: 70px 70px 0 70px;
  }

  footer .copyright-bar {
    display: none;
  }
}

@media screen and (min-width: 768px) , screen and (max-height: 800px) {
 /* .header-widget{
    position: relative !important;
    padding: 0px !important
  }*/
}



.inside-header {
  flex: 1;
  flex-direction: column;
  align-items: flex-start;
  overflow-y: auto;
  height: 100vh;
}

.header-widget {
  order: 3;
  text-align: flex-start;
}

.nav-float-right .inside-header .main-navigation {
  order: 2;
  margin-top: 0px;
  margin-bottom: 0px;
}

.dropdown-click .site-header .main-navigation ul ul {
  position: relative;
}
.main-navigation .main-nav > ul {
  align-items: flex-start;
}

.main-navigation .main-nav > ul {
  flex-direction: initial;
}

.nav-float-right .header-widget {
  margin-left: 0;
}

.nav-float-right .header-widget .widget {
  margin-bottom: 20px;
}

.nav-float-right #site-navigation {
  margin-top:36px;
  margin-right: 0;
  margin-left: 0;
}

a.button,
a.button:visited,
button,
input[type="submit"] {
}

.mc4wp-form-fields input {
  margin-bottom: 10px;
  width: 100%;
  text-align: center;
}

.main-navigation.toggled .main-nav li {
  text-align: center !important;
}

::-webkit-input-placeholder {
  font-size: 14px;
}

::-moz-placeholder {
  font-size: 14px;
}

:-ms-input-placeholder {
  font-size: 14px;
}

:-moz-placeholder {
  font-size: 14px;
}

.no-sidebar:not(.archive):not(.blog) .inside-article > *,
.no-sidebar:not(.archive):not(.blog) #comments,
.no-sidebar:not(.archive):not(.blog) .paging-navigation {
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
}

/* Desktop logos */
.fa-production-logos {
  padding: 24px;
  background: var(--light-main-bg);
}

.fa-production-logos .blocks-gallery-grid .blocks-gallery-image img,
.fa-production-logos .blocks-gallery-grid .blocks-gallery-item img,
.fa-production-logos .wp-block-gallery .blocks-gallery-image img,
.fa-production-logos .wp-block-gallery .blocks-gallery-item img {
  display: block;
  margin: 0 auto;
  mix-blend-mode: multiply;
  object-fit: contain;
}

.header-widget {
  position: absolute;
  bottom: 20px;
  width: 100%;
  left: 0px;
  padding: 0 40px;
}

.header-widget img {
  max-width: 60% !important;
  margin: 0 auto;
  display: block;
}


.menu-item {
  cursor:pointer
}

.sub-menu .menu-item{
	line-height:46px;
}



.main-navigation .main-nav ul.sub-menu  li[class*="current-menu-"] > a{
	border-color:none !important;
	border-width: 0;
}

.dropdown-click > .main-navigation > ul.toggled-on, 
.dropdown-click  .main-navigation  ul li.sfHover > ul.toggled-on{
    top: -10px;
    left: -40px;
    padding-left: 20px;
    width: 296px;
    border-right: 0;
    border-top: 1px solid #e1e1e2;
}

.dropdown-click .main-navigation  ul li.sfHover  ul.toggled-on  ul.toggled-on{
	left: -0px !important;
	 border-right: 0;
	 padding-left: 0px;
}

